### Constructor

# Adw SpringAnimation new

#### Declaration [src]

    AdwAnimation*
    adw_spring_animation_new (
      GtkWidget* widget,
      double from,
      double to,
      AdwSpringParams* spring_params,
      AdwAnimationTarget* target
    )

#### Description [src]

Creates a new `AdwSpringAnimation` on `widget`.

The animation will animate `target` from `from` to `to` with the dynamics of a spring described by `spring_params`.

Available since: | 1.0

#### Parameters

`widget` | `GtkWidget`
| A widget to create animation on.
| The data is owned by the caller of the function.
`from` | `double`
| A value to animate from.
`to` | `double`
| A value to animate to.
`spring_params` | `AdwSpringParams`
| Physical parameters of the spring.
| The called function takes ownership of the data, and is responsible for freeing it.
`target` | `AdwAnimationTarget`
| A target value to animate.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `AdwAnimation`
| The newly created animation.
| The data is owned by the called function.